from dotenv import load_dotenv, find_dotenv
import os
import sys

env_file=os.path.join(os.getcwd(),".env")
load_dotenv(env_file)
load_dotenv("/etc/os-release")
#load_dotenv(find_dotenv())
from flask import Flask
import traceback

'''
app = Flask(__name__,static_url_path='',
                    template_folder='../../client/dist',
                    static_folder='../../client/dist')
'''

from .mdhserver import webserver
from . import appconfigs

sys.modules["appframework"]=sys.modules[appconfigs.app["name"]]

#mdh=webserver()
#mdh.load_config()

#item = mdh.get_config("app")
#print("App = ",item)
#item = mdh.get_config("app.log_level")
#print("Config loglevel = ",item)


from .config import (
#    config,
    flask_app_config
)

#from .config.celery_config import celery

#flask_app_config.create(config.config_props['server'])
flask_app_config.create(appconfigs.server)

app = flask_app_config.app

# from .maintenance.mymaintenance import MyMaintenance
# from .configs.maintenance import config as excluded_maintenance_list
# maintenance_app = MyMaintenance(app, excluded_maintenance_list['excluded_list'])

from . import maintenance
maintenance.init(app,appconfigs.maintenance.toDict())

from . import appservices
with app.app_context():
    appservices.load_services(app)

    app.log.error("This is a logging test")

from . import commands


from .database.db_config import (
    create_admin_user
)

from .models.mdhbasemodel import BaseModel
from .appservices import database as db
BaseModel.set_session(db.session)

#create_admin_user(app)

celery = appservices.celery
from . import periodic_tasks


from flask_migrate import Migrate
migrate = Migrate(app,db)


def bp_import(prefix,module_name):
    global app
    try:
        module = __import__(module_name,fromlist=['bp'])
        with app.app_context():
            app.register_blueprint(module.bp,url_prefix="/" + prefix)
    except Exception as e:
        print("Error loading module: ",module_name)
        print(e)
        traceback.print_exc()

def load_modules():
    module_dir = os.path.dirname(__file__) + "/modules"

    for module in os.listdir(module_dir):
        modpath=module_dir + "/" + module
        if (os.path.isdir(modpath)):
            module_name = "mdhwebserver.modules." + module
            bp_import(module,module_name)


#from mdhwebserver.services import database as db
from mdhwebserver.models.models import Datahub

mac = appconfigs.mdh['mac_address']
from getmac import get_mac_address as gma
mac = gma()
# import traceback
try:
    with app.app_context():
        base_url="http://" + appconfigs.mdh.ipAddress + ":" + "80"
        Datahub.updateOrCreate({'mac_address':appconfigs.mdh.macAddress},**{
            'name': appconfigs.mdh.name,
            'mac_address': appconfigs.mdh.macAddress,
            'ip_address': appconfigs.mdh.ipAddress,
            'current_version': appconfigs.mdh.dhVersion,
            'base_url': base_url,
            'onboarded': True,
            'hub_id':appconfigs.mdh.hub_id,
        'status':'running'
        })
        db.session.commit()
except:
    # print(traceback.format_exc())
    pass
load_modules()

