import os
import traceback

from . import app_paths
from . services import celery
from . import appconfigs

print("import app services")

#globs = globals()
#globs['celery'] = celery.service_handle


def set_app_service(attribute,value):
    setattr(app,attribute,value)

def import_service(name,module_name):
    globs = globals()
    global app
    try:
        with app.app_context():
            module = __import__(module_name,fromlist=['service_name',"service_handle","init"])
            if hasattr(module,"init"):
                print(f'Service ({name}) has init')
                module.init(app)
            globs[name] = module.service_handle
    except Exception as e:
        print("Error loading module: ",module_name)
        print(e)
        traceback.print_exc()



def load_services(theApp):
    global app

    app=theApp
    with app.app_context():
        app.setService = set_app_service
        module_dir = os.path.dirname(__file__) + "/services"
        print("module dir: ",module_dir)
        module_dir2 = os.path.join(os.path.dirname(__file__),"services")
        print("module dir2: ",module_dir2)
        rootname = appconfigs.app["name"]
        for module in os.listdir(module_dir):
            modpath=module_dir + "/" + module
            if (os.path.isdir(modpath)):
                module_name = rootname + ".services." + module
                import_service(module,module_name)


#load_services()


