
import jsonpickle
from flask import (
        Response
)

from .response_builder import ResponseBuilder

class JsonResponse(Response):
    def __init__(self,response=None,status=None,headers=None,mimetype=None,content_type=None,direct_passthrough=False):
        self.set_response(response)
        if content_type is None:
            content_type = 'application/json'
        super().__init__(response=self.response,status=status,headers=headers,mimetype=mimetype,content_type=content_type,direct_passthrough=direct_passthrough)

    def set_response(self,response):
        if isinstance(response,str):
            self.response = response
        elif isinstance(response,ResponseBuilder):
            tmp = response.build()
            self.response = jsonpickle.encode(tmp,unpicklable=False)
        else:
            self.response = jsonpickle.encode(response,unpicklable=False)
        return self



