from flask import Flask
from flask_cors import CORS
from flask_compress import Compress
from datetime import timedelta

app: Flask = None

def create(app_config) -> None:
    global app
    if app is None:
        app = Flask(__name__, static_url_path='',
                    template_folder=app_config.template_folder_path,
                    static_folder=app_config.template_folder_path)
        app.config['SESSION_TYPE'] = app_config.session_type
        app.config['SECRET_KEY'] = app_config.secret_key.encode('UTF-8')
        app.config['LOGIN_DISABLED'] = app_config.login_disabled
        CORS(app, resources={r'/*': {'origins': '*'}}, supports_credentials=True)
        Compress(app)
