from os import getenv as env
from markupsafe import escape
from urllib import parse 

db_name=parse.quote(env("DB_NAME","mdhdb"))
db_user=parse.quote(env("DB_USER","pumpsense"))
#db_pass=escape(env("DB_PASSWORD","pumpsense#123"))
db_pass=parse.quote(env("DB_PASSWORD","pumpsense#123"))
db_host=parse.quote(env("DB_HOST","localhost"))
db_port=parse.quote(env("DB_PORT","5432"))


broker_url="sqla+postgresql://"+db_user+":"+db_pass+"@"+db_host+":"+db_port+"/"+db_name
result_backend="db+postgresql://"+db_user+":"+db_pass+"@"+db_host+":"+db_port+"/"+db_name
#        "broker_url": "sqla+postgresql://pumpsense:pumpsense%23123@localhost/mdhdb2",
#        "result_backend": "db+postgresql://pumpsense:pumpsense%23123@localhost/mdhdb2",

config = {
	"name": "pumpsense-task-queue",
        "broker_url": broker_url,
        "result_backend": result_backend,
        "task_serializer": "json",
        "accept_content": ["json", "pickle", "msgpack", "yaml"],
	"broker_connection_retry_on_startup": True,
        "database_engine_options": {
            "echo": True
        },
	"task_routes": [
		{"mdhwebserver.modules.*": {"queue":"mdhwebserver"}},
		{"mdhwebserver.mro.*": {"queue":"mdhwebserver"}}
	]
}
