
from mdhwebserver import app
from .builders.responses import JsonResponse
from .builders.response_builder import MDHErrorResponseBuilder
from flask import Request
from .exceptions import ValidationException
from .builders import ValidationErrorResponseBuilder

from werkzeug.exceptions import HTTPException

from werkzeug.local import Local,LocalManager
import flask
from flask import render_template, request
from http import HTTPStatus

local = Local()
local_manager = LocalManager([local])

@app.errorhandler(ValidationException)
def handle_validation_exception(e):
    rb = ValidationErrorResponseBuilder(e.get_validator())
    return JsonResponse(rb,status=e.code)


@app.errorhandler(HTTPException)
def handle_http_error(e):
    #print("Error handler message: ",e.description)
    #print("Type of e is: ",type(e))
    if isinstance(e,ValidationException):
        return handle_validation_exception(e)
    #req = app.Request()
 #   req = local.request
    req = flask.request
    #print("Content type: ",req.content_type)
    #print("Args: ",req.args)
    #print("Mime type: ",req.accept_mimetypes)
    rb = MDHErrorResponseBuilder(e.description)
    return JsonResponse(rb,status=e.code)

# @app.errorhandler(HTTPStatus.SERVICE_UNAVAILABLE)
# def under_maintenance(e):
#     if request.accept_mimetypes['application/json'] >= request.accept_mimetypes['text/html']:
#         rb = MDHErrorResponseBuilder("This site is currently in maintenance mode.")
#         return JsonResponse(rb, status=503)
#     else:
#         return render_template('maintenance.html'), 503

