class PumpsenseError(Exception):
    """Base class for exception handling"""

    def __init__(self, message):
        self.message = message

    def __str__(self):
        return f'Error: {self.message}'


class NoRecordFoundError(PumpsenseError):
    def __init__(self, expression, message):
        self.expression = expression
        self.message = message

    def __str__(self):
        return f'Exception occured while processing {self.expression}\nReason: {self.message}'


class ParamValueError(PumpsenseError):
    def __init__(self, expression, message='Wrong value of param in request.'):
        self.params = expression
        self.message = message

    def __str__(self):
        return f'Wrong value for param: {self.expression}\nReason: {self.message}'


class MalformedPayloadError(PumpsenseError):
    def __init__(self, payload, message):
        self.payload = payload
        self.message = message

    def __str__(self):
        return f'Exception occured while processing {self.payload}\nReason: {self.message}'