
OPERATORS = set(['+', '-', '*', '/', '(', ')', '^'])  # set of operators
PRIORITY = {'+':1, '-':1, '*':2, '/':2, '^':3} # dictionary having priorities 

 

def infix_to_postfix(exp): #input expression

    stack = [] # initially stack empty
    result_stack = []
    token='' 
    expression = exp.replace(" ",'')

    for ch in expression:
        if ch not in OPERATORS:  # if an operand then put it directly in postfix expression
            token+= ch
        else:
            if token:
                result_stack.append({"type":"token","value":token})
            token=''
            if ch=='(':  # else operators should be put in stack
                stack.append('(')
            elif ch==')':
                while stack and stack[-1]!= '(':
                    op = stack.pop()
                    result_stack.append({"type":"operator","value":op})
                stack.pop()
            else:

                # lesser priority can't be on top on higher or equal priority    

                # so pop and put in output   

                while stack and stack[-1]!='(' and PRIORITY[ch]<=PRIORITY[stack[-1]]:
                    op =stack.pop()
                    result_stack.append({"type":"operator","value":op})
                stack.append(ch)

    if token:
        result_stack.append({"type":"token","value":token})
    while stack:
        op =stack.pop()
        result_stack.append({"type":"operator","value":op})
    return result_stack

def show_postfix(postfix_stack):
    print("Postfix Stack: ")
    for s in postfix_stack:
        print(f'{s["type"]}:{s["value"]}')

def postfix_stack_to_str(postfix_stack):
    output=''
    for s in postfix_stack:
        output+=s["value"]
    return output


def operate(op,v1,v2):
    if op == '+':
        return v1+v2
    elif op == '-':
        return v1-v2
    elif op == '*':
        return v1*v2
    elif op == '/':
        return v1/v2

def fetch_value(values,name):
    if name in values:
            return values[name]
    return float(name);

    
def postfix_calculate(postfix_stack, values):
    result_stack=[]
    for s in postfix_stack:
        if s["type"] == "operator":
            v2 = result_stack.pop();
            v1 = result_stack.pop();
            r = operate(s['value'],v1,v2)
            result_stack.append(r)
        elif s["type"] == "token":
            #val = values[s["value"]]
            val = fetch_value(values,s["value"])
            result_stack.append(val)
    result = result_stack.pop()
    return result

