

from .mymaintenance import MyMaintenance
from flask import render_template, request, Blueprint
from ..builders.response_builder import MDHErrorResponseBuilder, MDHResponseBuilder
from ..builders.responses import JsonResponse
from flask import current_app
from os import path

maintenance_app = None

def init(theApp, config):
    global maintenance_app

    maintenance_app = MyMaintenance(theApp, config.get('excluded_list',[]))
    url_prefix=config.get('url_prefix',"/maintenance")
    theApp.register_error_handler(503, under_maintenance)
    bp = Blueprint("maint",__name__,url_prefix=url_prefix, template_folder='templates')
    bp.add_url_rule("/enable","enable_maint",enable_maint)
    bp.add_url_rule("/disable","disable_main",disable_main)
    maintenance_app.add_exempt(path.join(url_prefix,"enable"))
    maintenance_app.add_exempt(path.join(url_prefix,"disable"))
    theApp.register_blueprint(bp)

# @app.errorhandler(HTTPStatus.SERVICE_UNAVAILABLE)
def under_maintenance(e):
    if request.accept_mimetypes['application/json'] >= request.accept_mimetypes['text/html']:
        rb = MDHErrorResponseBuilder("This site is currently in maintenance mode.")
        return JsonResponse(rb, status=503)
    else:
        return render_template('maintenance.html'), 503


from flask_maintenance.cli import enable as flask_maint_enable
import click

def enable_maint():
    print("Enable maint.")
    maintenance_app.enable()

    return JsonResponse(MDHResponseBuilder())

def disable_main():
    print("Disable maint")
    maintenance_app.disable()
    return JsonResponse(MDHResponseBuilder())