from flask_maintenance import Maintenance
import flask_maintenance as fm
import click

from flask import (
    request
)
class MyMaintenance(Maintenance):

    def __init__(self, app=None, exempt_routes=[]):
        super().__init__(app)
        self.exempt_routes = exempt_routes

    def add_exempt(self, exempt):
        if exempt not in self.exempt_routes:
            self.exempt_routes.append(exempt)

    def remove_exempt(self, exempt):
        if exempt in self.exempt_routes:
            self.exempt_routes.remove(exempt)

    def enable(self):
        ctx = click.Context(fm.cli.enable)
        ctx.forward(fm.cli.enable)

    def disable(self):
        ctx = click.Context(fm.cli.disable)
        ctx.forward(fm.cli.disable)

    def _handler(self):
        if any(exempt_path in request.path for exempt_path in self.exempt_routes):
            return
        super()._handler()
