
import os
import json
from types import SimpleNamespace
from dotmap import DotMap
import pathlib

json_separators = (',', ':')


class webserver:
    configs={}

    def __init__(self):
        self.paths={}
        self.setPaths()

    def setPaths(self):
        paths={}
        paths["root"] = os.path.dirname(__file__);
        paths["modules"] = paths["root"] + "/modules"
        paths["configs"] = paths["root"] + "/configs"
        self.paths = DotMap(paths)

    def load_config(self):
        configs={}
        print("load configs")
        for config in os.listdir(self.paths['configs']):
            print("config: ",config)
            configname = os.path.splitext(config)[0]
            ext = pathlib.Path(config).suffix
            print("Extension: ",ext)
#            print("base name: ", configname)
            file_path = self.paths["configs"] + "/" + config
            if ext == ".json":
                with open(file_path) as app_config_json:
                    configs[configname] = json.loads(app_config_json.read())
#                   print(configs[configname])
            elif ext == ".py":
                print("Python file: ",config)
                module_name = "mdhwebserver.configs." + configname 
                m = __import__(module_name,fromlist=['config'])
                c = m.config
                configs[configname] = c
                print(c)
                
        self.configs = DotMap(configs)
        print(self.configs)

