
from sqlalchemy.orm.collections import MappedCollection,collection

class ListLike(object):
    __emulates__ =  list

    def __init__(self):
        self.data = list()

    def append(self,item):
        self.data.append(item)

    def remove(self,item):
        self.data.remove(item)

    def __iter__(self):
        return iter(self.data)

    def pluck(self,key):
        subset = [getattr(value,key) for value in self.data]
        return subset

import operator

class DictLike(MappedCollection):
    def __init__(self,key,key2=None):
        super(DictLike, self).__init__(operator.attrgetter(key))
        print("Key col is: ",key)
        self.__key2__ = key2
        
    @collection.internally_instrumented
    def __setitem__(self,key,value,_sa_initiator=None):
        print("__setitem__, key is: ",key)
        keyval = getattr(value,self.__key2__)
        item = super(DictLike, self).get(key)
        if item:
            print("Have parent item")
            item[keyval] = value
        else:
            item = {
                keyval:value
            }
        super(DictLike,self).__setitem__(key,item,_sa_initiator)
        
    @collection.internally_instrumented
    def __delitem__(self,key,_sa_initiator=None):
        super(DictLike,self).__delitem__(key,_sa_initiator)