from typing import Dict
from mdhwebserver.appservices import database as db
from sqlalchemy.orm import class_mapper
import sqlalchemy.orm
from sqlalchemy import inspect
from mdhwebserver.mixins import SQLAToDictMixin
from sqlalchemy_mixins import AllFeaturesMixin

from sqlalchemy.orm import declarative_base


class ActiveRecordExtendMixin():
    __abstract__ = True

    @classmethod
    def updateOrCreate(cls,keys: Dict,**kwargs):
        query = cls.query
        for key,value in keys.items():
                query = query.filter(getattr(cls,key) == value)

        result = query.first() 
        if not result:
            result = cls.create(**kwargs)
        else:
            result.fill(**kwargs)
        return result

    @classmethod
    def firstOrCreate(cls,**kwargs):
        result = cls.where(**kwargs).first()
        if result != None:
            return result
        return cls.create(**kwargs)

    @classmethod
    def firstOrCreate2(cls,keys,other_fields={}):
        result = cls.where(**keys).first()
        if result != None:
            return result
        kwargs = {**keys, **other_fields}
        return cls.create(**kwargs)

    @classmethod
    def filter(cls,*args,**kwargs):
        return cls.query.filter(*args,**kwargs)
