from typing import Dict
from mdhwebserver.appservices import database as db
from sqlalchemy.orm import class_mapper
import sqlalchemy.orm
from sqlalchemy import inspect
from mdhwebserver.mixins import SQLAToDictMixin
from mdhwebserver.mixins import ActiveRecordExtendMixin 
from sqlalchemy_mixins import AllFeaturesMixin

from sqlalchemy.orm import declarative_base
from sqlalchemy import text

print('-------- creating Base')
#Base = declarative_base()
Base = db.Model

#class BaseModelTest(db.Model):
class BaseModelTest(Base):
    __abstract__ = True
    serialize_rules = ('-_sa_instance_state')
    serialize_only = ('id')
'''
    @classmethod
    def updateOrCreate(cls,keys: Dict,**kwargs):
        session = db.session
        query = cls.query
        for key,value in keys.items():
                query = query.filter(getattr(cls,key) == value)

        result = query.first() 
        if not result:
            result = cls(**kwargs)
            session.add(result);
            session.commit();
        return result
'''

#class BaseModelTest2(Base,BaseModelTest,AllFeaturesMixin,SQLAToDictMixin):
class BaseModelTest2(BaseModelTest,AllFeaturesMixin,SQLAToDictMixin,ActiveRecordExtendMixin):
    __abstract__ = True

class BaseModel(BaseModelTest2):
    __abstract__ = True
    timezone_offset = None

    @classmethod
    def get_timezone_offset(cls):
        if cls.timezone_offset == None:
            try:
                cls.update_timezone_offset()
            except:
                cls.timezone_offset = 0
        return cls.timezone_offset

    @classmethod
    def update_timezone_offset(cls):
        res = db.session.execute(text("select extract( timezone from now())")).scalar()
        cls.timezone_offset = int(res)

