from ..module import bp
from flask import (
    request
)

from mdhwebserver.appservices import database as db

from mdhwebserver.models.models import SmtpConfig
from mdhwebserver.builders.response_builder import SQLAlchemyResponseBuilder, MDHErrorResponseBuilder
from mdhwebserver.builders.responses import JsonResponse
import json
from mdhwebserver.utils.listutils import dict_extract
from mdhwebserver.application import app
    
from flask_jwt_extended import current_user
from mdhwebserver.wrappers.is_authorized import is_authorized

@bp.route('', methods=['GET'])
def index():
    return 'testing'


@bp.route('smtp', methods=['GET'])
@is_authorized()
def smtp_get():
    data=SmtpConfig.query.first();
    rb = SQLAlchemyResponseBuilder(data);
    return JsonResponse(rb,content_type='application/json')

@bp.route('smtp', methods=['POST'])
@is_authorized()
def smtp_post():
    data=SmtpConfig.query.first();
    rb = SQLAlchemyResponseBuilder(data);
    return JsonResponse(rb,content_type='application/json')

@bp.route('smtp', methods=['PUT'])
@is_authorized()
def smtp_put():
    try: 
        payload = json.loads(request.data)
    except:
        return JsonResponse(MDHErrorResponseBuilder("Malformed payload"))
    try:
        id = payload['id']
        config = SmtpConfig.query.filter(SmtpConfig.id==id).first()
    except:
        return JsonResponse(MDHErrorResponseBuilder("Invalid id"))
        pass
    values = dict_extract(payload,['id','smtpServer','smtpPort','smtpUsername','tls','authenticate','smtpPassword','fromName','fromEmail'])
    '''
    values = {
        'id': id,
        'smtpServer': payload['smtpServer'],
        'smtpPort': payload['smtpPort'],
        'smtpUsername': payload['smtpUsername'],
        'tls': payload['tls'],
        'authenticate':payload['authenticate'],
        'smtpPassword': payload['smtpPassword'],
        'fromName': payload['fromName'],
        'fromEmail':payload['fromEmail'],
    }
    '''
    config = config.update(**values)
    db.session.commit()
    
    return JsonResponse(SQLAlchemyResponseBuilder(config));
    if config == None:
        return JsonResponse(MDHErrorResponseBuilder("Configuration Not found"))
    return JsonResponse(payload);
    #data=SmtpConfig.query.first();
    #rb = SQLAlchemyResponseBuilder(data);
    #return JsonResponse(rb,content_type='application/json')