from ..module import bp

import json

import logging
from cerberus import Validator
from mdhwebserver.appservices import database as db

from http import HTTPStatus
from flask import (
    request,
    render_template
)

from mdhwebserver.builders.responses import JsonResponse
from mdhwebserver.builders.response_builder import SQLAlchemyResponseBuilder, MDHResponseBuilder
from mdhwebserver.builders import ValidationErrorResponseBuilder
from mdhwebserver.exceptions import ValidationException
from mdhwebserver.utils.listutils import dict_extract
from mdhwebserver import application
from ..tasks.tasks import submit_task
from sqlalchemy.exc import IntegrityError

logger = logging.getLogger('email')

@bp.route('/email', methods=['POST'])
def email():
    payload = request.get_json(force=True)
    submit_task.delay(to=[payload["to"]], subject=payload["subject"], txt='email.txt', html='email.html', message=payload['message'])
    return JsonResponse({"success":True})