from ..module import bp
from pathlib import Path
import os
import json
import time
import gzip
import shutil
import shlex
import subprocess
import sqlalchemy as sa
import logging
from mdhwebserver.appservices import database as db
from mdhwebserver import appconfigs

from mdhwebserver.models.models import Gauge, Assembly, DeviceDataItem, SubassemblyInstance

from http import HTTPStatus
from flask import (
    request,
    redirect,
    abort,
    send_file
)
from flask_jwt_extended import current_user
from mdhwebserver.wrappers.is_authorized import is_authorized

from mdhwebserver.builders.responses import JsonResponse
from mdhwebserver.builders.response_builder import SQLAlchemyResponseBuilder, MDHResponseBuilder, MDHErrorResponseBuilder
from mdhwebserver.builders import ValidationErrorResponseBuilder
from mdhwebserver.exceptions import ValidationException


@bp.route('/edit',methods=['post'])
@is_authorized()
def post_machine_edit():
    gauge_id = request.json.get("gauge_id")
    machine_name = request.json.get("machine_name")
    assembly_name=request.json.get("assembly")
    g=Gauge().where(id=gauge_id).options(sa.orm.joinedload(Gauge.heatmap_item)).first()
    if (assembly_name):
        a = Assembly().where(name=assembly_name).first()
        if a is None:
            print("No Assembly found.")
            a = Assembly.create(**{
                'name': assembly_name,
                'display_name': assembly_name
            })
        g.assembly_id = a.id
    if (machine_name):
        g.machine_name = machine_name
        if g.heatmap_item:
            g.heatmap_item.name = machine_name
    db.session.commit()
    rb = SQLAlchemyResponseBuilder(g)
    return JsonResponse(rb,content_type='application/json')

@bp.route('/<machine_id>', methods=['delete'])
@is_authorized()
def delete_gauge(machine_id=None):
    Gauge.query.filter(Gauge.id==machine_id).delete()
    db.session.commit()
    return JsonResponse({'success':True})