from ..module import bp

import logging
from http import HTTPStatus
from flask import (
    request,
    redirect,
    abort,
    send_file
)
from flask_jwt_extended import current_user
from mdhwebserver.wrappers.is_authorized import is_authorized

from mdhwebserver.builders.responses import JsonResponse
from mdhwebserver.builders.response_builder import SQLAlchemyResponseBuilder, MDHResponseBuilder
from mdhwebserver.builders import ValidationErrorResponseBuilder
from mdhwebserver.exceptions import ValidationException
from mdhwebserver.utils.listutils import dict_extract
from mdhwebserver import application

from sqlalchemy.exc import IntegrityError
from mdhwebserver.models.models import MroLog

logger = logging.getLogger('mro')

@bp.route('/<gauge_id>/<pm_function_id>', methods=['GET'])
@is_authorized()
def get_mro_logs(gauge_id, pm_function_id):
    mro_logs = MroLog.query.filter(MroLog.gauge_id == gauge_id, MroLog.pm_function_id == pm_function_id).all()
    return JsonResponse(MDHResponseBuilder(statusCode=HTTPStatus.OK.value, body=mro_logs))