
import logging
from flask import (
    request
)
from http import HTTPStatus

from mdhwebserver.builders.response_builder import MDHResponseBuilder
from mdhwebserver.builders.responses import JsonResponse
from mdhwebserver.managers.service_manager import task_manager
from ..store import bp
from mdhwebserver.mro.mro_task import submit_mro_task
from flask import abort

logger = logging.getLogger('devices')

@bp.route('/<module_name>/<type_name>', methods=['POST'])
def store_gauge_data(module_name=None, type_name=None):
    try:
        task_name = f'{module_name}.{type_name}'
        logger.info(f'Task Name: {task_name}')
        task = task_manager.get(task_name)
        meta_data = {
            'remote_addr':request.remote_addr
        }
        # task.delay(module_name,type_name,request.data.decode('UTF-8'),meta_data=meta_data)
        task.delay(module_name,type_name,request.json,meta_data=meta_data)

        # submit_mro_task.delay(module_name,type_name,request.data.decode('UTF-8'))
        submit_mro_task.delay(module_name,type_name,request.json)

        heatmap_task = task_manager.get(task_name+'heatmap')
        # heatmap_task.delay(module_name,type_name,request.data.decode('UTF-8'),meta_data=meta_data)
        heatmap_task.delay(module_name,type_name,request.json,meta_data=meta_data)

        response = JsonResponse(MDHResponseBuilder(statusCode=HTTPStatus.OK.value))

    except:
        logger.error("exception occurred", exc_info=True)
        abort(500,"Exception Occured")
    
    return response




