from datetime import datetime, timezone
from mdhwebserver.models.models import MroLog
from mdhwebserver.appservices import database as db
import traceback
def log_mro_issue(mroRaw):
    print("Log ISSUE: ",mroRaw)
    timestamp=datetime.fromtimestamp(mroRaw['insert_datetime'], tz=timezone.utc)
    print("timestamp: ",timestamp)
    try:
        MroLog.create(**{
            'gauge_id': mroRaw['gauge_id'],
            'machine_id':mroRaw['machine_id'],
            'pm_function_id': mroRaw['pm_function_id'],
            '_timestamp': timestamp,
            'status': mroRaw['issue_status'],
           'color': mroRaw['gauge_color']
        })
        print("After create..")
        db.session.commit()
        print("Commited mro log")
    except:
        print("Log MRO Exception on commit..")
        print(traceback.format_exc())
        db.session.rollback()

