from .mro_detector import mro_detector
from .transformAlarms import transform_alarms, transform_format1
from mdhwebserver.models.models import PmFunction,Gauge


def extract_gauges(header,gauges):
    for subassembly,gauges_dict in gauges.items():
        for gauge_name,gauge_struct in gauges_dict.items():
            alarm_object=transform_alarms(gauge_struct)
            if alarm_object:
                alarm_object["subassembly"] = subassembly
                alarm_object["gauge_name"] =  gauge_name
                mro_detector(header, alarm_object)

def extract_gauges_format_one(header,gauge):
    for gauge_name,gauge in gauge.items():
        alarm_object=transform_format1(gauge,gauge_name)
        if alarm_object:
            mro_detector(header, alarm_object)

def check_for_mro(output_json):
    #output_json["timestamp"]=output_json["name"].split("_")[-1]
    mid = output_json["header"]["machineId"]
    G=Gauge.query.filter(Gauge.machine_id==mid).first()
    print("After gauge query")
    if not G:
        return
    output_json['header']["gauge_id"] = G.id
    if 'gauge' in output_json:
        extract_gauges_format_one(output_json["header"],output_json["gauge"])
        return
    elif "gauges" in output_json:
        extract_gauges(output_json["header"],output_json["gauges"])
