#from email_generator import app
#from email_generator import send_email
from .LogMroIssue import log_mro_issue
from .utilities import get_pm_function
from mdhwebserver.modules.email.tasks.tasks import submit_task as send_email_task
from mdhwebserver.models.models import User
from mdhwebserver import appconfigs

def send_notifications(mroRaw):
    print("*Sending E-Mail -->")
    if not appconfigs.app.email_enabled:
        return
    users = User.query.filter(User.active==True,User.name != "admin").all()
    subject=f"{mroRaw['gauge_color']} alarm {mroRaw['issue_status']}ed for {mroRaw['machine_name']}"
    email_list=[]
    for user in users:
        email_list.append(user.email)
    send_email_task.delay(to=email_list,subject=subject, txt='mro.txt', html='mro.html',**mroRaw)

def issue_handler(mroRaw, send_status):
    # print("*Issue Handler ----")
    gauge_name = mroRaw['gauge_name']
    s = get_pm_function(mroRaw['subassembly'],gauge_name)
    if s:
        mroRaw['pm_function_id'] = s.id
    else:
        mroRaw['pm_function_id'] = 0

    log_mro_issue(mroRaw)
    # print("mroRaw: ",mroRaw)
    # print("Send status: " + str(send_status))
    # print("Issue opened: ")
    if send_status:
        send_notifications(mroRaw)

def issue_open(mroRaw, send_status):
    print("*ISSUE OPENED ---> ")
    mroRaw["issue_status"]="open"
    issue_handler(mroRaw,send_status)


def issue_close(mroRaw, send_status):
    print("*ISSUE CLOSED ---> ")
    mroRaw["issue_status"]="closed"
    issue_handler(mroRaw,send_status)


