from .issue_handler import issue_open
from .issue_handler import issue_close

def form_mro_raw(header,gauge_struct):
    temp_struct={}
    temp_struct['gauge_name'] = gauge_struct["gauge_name"]
    temp_struct['gauge_id'] = header['gauge_id']
    temp_struct["machine_id"]=header["machineId"]
    temp_struct["machine_name"]=header["machineName"]
    temp_struct["subassembly"]=gauge_struct["subassembly"] 
    temp_struct["insert_datetime"]=int(header['timestamp'])
    return temp_struct

def mro_detector(header, gauge_struct):
    try:
        mroRaw=form_mro_raw(header,gauge_struct)        
        YA = gauge_struct["alarming"].get("sendYellowAlert",False)
        YI = gauge_struct["alarming"].get("alarmYellowIssueOpen",False)
        RA = gauge_struct["alarming"].get("sendRedAlert",False)
        RI = gauge_struct["alarming"].get("alarmRedIssueOpen",False)
        YAH = gauge_struct["alarming"].get("sendYellowAlertHistory",False)
        YIH = gauge_struct["alarming"].get("alarmYellowIssueOpenHistory",False)
        RAH = gauge_struct["alarming"].get("sendRedAlertHistory",False)
        RIH = gauge_struct["alarming"].get("alarmRedIssueOpenHistory",False)
        
        if YAH == False and YIH == False and YA == True and YI == True and RAH == False and RIH == False and RA == False and RI == False:
            # Yellow Issue Open and Send Yellow Alert
            mroRaw["gauge_color"]="yellow"
            issue_open(mroRaw, True)
        elif YAH == False and YIH == False and YA == False and YI == True and RAH == False and RIH == False and RA == False and RI == False:
            # Yellow Issue Open
            mroRaw["gauge_color"]="yellow"
            issue_open(mroRaw, False)
        elif YAH == False and YIH == True and YA == False and YI == False and RAH == False and RIH == False and RA == False and RI == False:
            # Yellow Issue Close
            mroRaw["gauge_color"]="yellow"
            issue_close(mroRaw, False)
        elif YAH == False and YIH == False and YA == False and YI == False and RAH == False and RIH == False and RA == True and RI == True:
            # Red Issue Open and Send Red Alert
            mroRaw["gauge_color"]="red"
            issue_open(mroRaw, True)
        elif YAH == False and YIH == False and YA == False and YI == False and RAH == False and RIH == False and RA == False and RI == True:
            # Red Issue Open
            mroRaw["gauge_color"]="red"
            issue_open(mroRaw, False)
        elif YAH == False and YIH == False and YA == False and YI == False and RAH == False and RIH == True and RA == False and RI == False:
            # Red Issue Close
            mroRaw["gauge_color"]="red"
            issue_close(mroRaw, False)
        elif YAH == False and YIH == True and YA == False and YI == False and RAH == False and RIH == False and RA == True and RI == True:
            # Yellow Issue Close and Red Issue Open and Send Red Alert
            mroRaw["gauge_color"]="yellow"
            issue_close(mroRaw, False)
            mroRaw["gauge_color"]="red"
            issue_open(mroRaw, True)
        elif YAH == False and YIH == True and YA == False and YI == False and RAH == False and RIH == False and RA == False and RI == True:
            #Yellow Issue Close and Red Issue Open
            mroRaw["gauge_color"]="yellow"
            issue_close(mroRaw, False)
            mroRaw["gauge_color"]="red"
            issue_open(mroRaw, False)
        elif YAH == False and YIH == False and YA == True and YI == True and RAH == False and RIH == True and RA == False and RI == False:
            #Red Issue Close and Yellow Issue Open and Send Yellow Alert
            mroRaw["gauge_color"]="red"
            issue_close(mroRaw, False)
            mroRaw["gauge_color"]="yellow"
            issue_open(mroRaw, True)
        elif YAH == False and YIH == False and YA == False and YI == True and RAH == False and RIH == True and RA == False and RI == False:
            # Red Issue Close and Yellow Issue Open
            mroRaw["gauge_color"]="red"
            issue_close(mroRaw, False)
            mroRaw["gauge_color"]="yellow"
            issue_open(mroRaw, False)
        else:
            pass
            #print("[-] "+mroRaw['gauge_name']+" at " + str(mroRaw["insert_datetime"]) + " : Alarm Flags Does Not Meet Available Conditions For An Alert machineid: "+mroRaw["machine_id"])
    
    except Exception as e:
        print("[+] Exception: MRO not applicable here: "+str(e))
        #print(traceback.format_exc())
