import simplejson as json


def get_alarm_flags(gauge):
    return     {    
                    "sendYellowAlert": gauge["sendYellowAlert"][0],
                    "alarmYellowIssueOpen": gauge["alarmYellowIssueOpen"][0],
                    "sendRedAlert": gauge["sendRedAlert"][0],
                    "alarmRedIssueOpen": gauge["alarmRedIssueOpen"][0],
                    "sendYellowAlertHistory": gauge["sendYellowAlertHistory"][0],
                    "alarmYellowIssueOpenHistory": gauge["alarmYellowIssueOpenHistory"][0],
                    "sendRedAlertHistory": gauge["sendRedAlertHistory"][0],
                    "alarmRedIssueOpenHistory": gauge["alarmRedIssueOpenHistory"][0]
                }

def transform_format2(gauge_dict):
    #print("[+] Output Format 2 detected. Transforming it to alarm struct..")
    alarm_list=[]
    for subassembly in gauge_dict:
        for gauge_name in gauge_dict[subassembly]:
            gauge=gauge_dict[subassembly][gauge_name]
            if "alarming" in gauge:
                temp_struct={}
                temp_struct["subassemblyInstance"] = subassembly
                temp_struct["gauge_name"] = gauge["gauge_name"]
                temp_struct["gauge_type"] = gauge["gauge_type"]
                temp_struct.update(get_alarm_flags(gauge["alarming"]))
                alarm_list.append(temp_struct)
    return alarm_list

def transform_format1(gauge_dict):
    #print("[+] Output Format 1 detected. Transforming it to alarm struct..")
    alarm_list=[]
    for gauge_name,gauge in gauge_dict.items():
        if "sendRedAlert" in gauge:
            temp_struct={}
            temp_struct["subassemblyInstance"]=gauge["subassemblyInstance"]
            temp_struct["gauge_name"] = gauge_name.split(":")[1].lstrip()
            temp_struct["gauge_type"]=gauge["gaugeType"]
            temp_struct.update(get_alarm_flags(gauge))
            alarm_list.append(temp_struct)
    return alarm_list

def alarm_transformer(output_json):
    alarming_list=[]
    if 'gauge' in output_json:
        alarming_list=transform_format1(output_json['gauge'])
    elif 'gauges' in output_json:
        alarming_list=transform_format2(output_json['gauges'])
    else:
        print("[+] Unknown Output Format. Cannot tranform this to alarm struct..")
        return
    print(json.dumps({"alarms":alarming_list},indent=4))
    return {"alarms":alarming_list}
    