import os
import simplejson as json
from .seed import subassembly_seeder, seed_from_json
# from .seed import gauge_type_seeder, seed_gauge_types
from mdhwebserver.models.models import  GaugeType, GaugeSeeding

def seed_module(modname):
    module_name = "mdhwebserver.seedfiles.pm_functions." + modname
    print("module_name: ",module_name)
    imodule = __import__(module_name,fromlist=['subassemblies','assemblies','gaugeType'])
    print(dir(imodule))
    s = imodule.subassemblies
    print(s)
    dt = get_module_seed_data(module_name)
    if dt:
        seed_database(dt)
        
def seed_json(json_file):
    print("Seeding json file: ",json_file)
    with open(json_file) as f:
        data = json.load(f)
    print("Data: ",json.dumps(data))
    seed_from_json(data)

def load_seeds():
    module_dir = os.path.join(os.path.dirname(__file__),"seedfiles/pm_functions")
    print("module_dir: ",module_dir)

    data = {}
    for module in os.listdir(module_dir):
        modpath=module_dir + "/" + module
        if os.path.isdir(modpath):
            continue
        gs =  GaugeSeeding.where(name=module).first()
        if gs:
            print(f" --- {modpath} Already seeded")
            continue

        modname=os.path.basename(module).split('.')[0]
        extension = os.path.basename(module).split('.')[1]
        print("Loading seed file: ",modname)
        print("----------- Extension: ", extension)
        if extension == 'py':
            seed_module(modname)
        elif extension == 'json':
            seed_json(modpath)
        else:
            continue
        # module_name = "mdhwebserver.seedfiles.pm_functions." + modname
        # print("module_name: ",module_name)
        # imodule = __import__(module_name,fromlist=['subassemblies','assemblies','gaugeType'])
        # print(dir(imodule))
        # s = imodule.subassemblies
        # print(s)
        # dt = get_module_seed_data(module_name)
        # if dt:
        #     seed_database(dt)
        GaugeSeeding.create(**{
            'name': module
        })
def seed_database(seed_data):
    print("seed_data: ",seed_data)
    # gt =  GaugeType.firstOrCreate(**{'name': seed_data['gaugeType']})

    # print("gt: ",gt)
    # if gt:
    #     print("----------------------- Already created, not creating again..")
    #     return
    subassembly_seeder(seed_data['subassemblies'],seed_data['assemblies'])

	
def get_module_seed_data(module_name):
    m = __import__(module_name,fromlist=['subassemblies','assemblies','gaugeType'])
    data={}
    try:
        data['subassemblies'] = m.subassemblies
        data['assemblies'] = m.assemblies
        data['gaugeType']= m.gaugeType
        data['gaugeTypes'] = [{
             'name': data['gaugeType']
        }]
    except:
        print("Missing requried data, must have subassemblies, assemblies, and gaugeTypes")
        return None
    return data
	

#load_seeds()

