import os
import logging

from flask_sqlalchemy import SQLAlchemy
from flask_sqlalchemy.query import Query as BaseQuery
from sqlalchemy import event, exc
from mdhwebserver import appconfigs
from sqlalchemy.orm import joinedload

# from ..config import config


logger = logging.getLogger('db_config')
db = None

from pprint import pprint

class MDHQueryClass(BaseQuery):
    def _with(self,name):
        print("My _with")
        jl = joinedload(name)
        return self.options(jl)

    def _where_(self,attrubite):
        print("------------ WHERE ---------------------")
        pprint(dir(self))
        cls = self._entity_from_pre_ent_zero().class_
        print("cls is ",cls)
        print("From object: ",dir(self._from_obj))
        print("From object class: ",self._from_obj.__class__)
#        pprint(vars(self))
#        pprint(vars(self._propagate_attrs['immutabledict']['plugin_subject']))
#        print("Class is: ",modelClass)
        print("--------------- END WHERE -----------------")
        return self

    def find(self,id_):
        return self.get(id_)

def manage_db_conn():
    db.engine.dispose()

    @event.listens_for(db.engine, "connect")
    def connect(dbapi_connection, connection_record):
        connection_record.info['pid'] = os.getpid()

    @event.listens_for(db.engine, "checkout")
    def checkout(dbapi_connection, connection_record, connection_proxy):
        pid = os.getpid()
        if connection_record.info['pid'] != pid:
            #connection_record.connection = connection_proxy.connection = None
            connection_record.dbapi_connection = connection_proxy.dbapi_connection = None
            raise exc.DisconnectionError(
                    "Connection record belongs to pid %s, "
                    "attempting to check out in pid %s" %
                    (connection_record.info['pid'], pid)
            )

def configure_db(app):
    global db
    if db is not None: # Already configured.
        return
#    db_config = config.config_props['database']
    db_config = appconfigs.database
    db_conn_str = f"{db_config['protocol']}://{db_config['username']}:{db_config['password']}@{db_config['host']}:{db_config['port']}/{db_config['db_name']}"
    app.config['SQLALCHEMY_DATABASE_URI'] = db_conn_str
    app.config['SQLALCHEMY_ECHO'] = db_config['echo']
    app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = db_config['track_modifications']
    app.config['SQLALCHEMY_ENGINE_OPTIONS'] = db_config['engine_opts']
    db = SQLAlchemy(app,query_class=MDHQueryClass)
    manage_db_conn()


#def init(app)

'''
def create_admin_user(app):
    from ..models.models import User
    from ..managers.service_manager import user_service

    admin_account = config.config_props['admin_account']

    with app.app_context():

        if User.query.all():
            logger.info(
                'Admin account exists, skipping admin account creation...')

        else:
            name = admin_account.get('name') or 'admin'
            email = admin_account.get('email') or 'admin@pumpsense.com'
            password = (admin_account.get('password')
                        or get_mac_address()).encode('utf-8')
            logger.debug(f'password: {password}')
            user = User(
                name=name,
                email=email,
                password=bcrypt.hashpw(password, bcrypt.gensalt()).decode('utf-8'),
                active=True,
                is_admin=True
            )
            user_service.save(user)

            logger.info(f'{email}: added successfully.')

'''

