color_ranks = {
    "green": 1,
    "yellow": 2,
    "red": 3
}
rank_colors = {
    "1": "green",
    "2": "yellow",
    "3": "red"
}

def make_color_list(color_items, filter=None):
    colors = []
    for item in color_items:
        if item.color:
            if filter:
                if filter(item):
                    colors.append(item.color)
            else:
                colors.append(item.color)
    return colors


def get_rank_color(rank):
    if str(rank) not in rank_colors:
        return "purple"
    return rank_colors[str(rank)]

def get_color_rank(color):
    if color not in color_ranks:
        return -1
    return color_ranks[color]

def get_max_color(colors):
    if colors:
        max_rank = -1
        for color in colors:
            if get_color_rank(color) > max_rank:
                max_rank = get_color_rank(color)
        gauge_color = get_rank_color(max_rank)
        if gauge_color == "purple":
            gauge_color = colors[0]
        return gauge_color
    return None
