from http import HTTPStatus


def get_default_err_resp_obj(status_code=HTTPStatus.INTERNAL_SERVER_ERROR.value,
                             message='Something went wrong'):
    response = {
        'success': False,
        'statusCode': status_code,
        'error': {
            'message': message
        }
    }

    return response


def get_default_ok_resp_obj(status_code=HTTPStatus.OK.value, plural=True):
    response = {
        'success': True,
        'statusCode': status_code,
    }
    if plural:
        response['values'] = []
    else:
        response['value'] = {}
    
    return response
