from functools import wraps
from flask_jwt_extended import jwt_required, current_user, verify_jwt_in_request
from os import getenv as env
from flask import request, redirect, abort
from http import HTTPStatus

def is_authorized():
  def wrapper(fn):
    @wraps(fn)
    def decorator(*args, **kwargs):
      login_disabled = env('LOGIN_DISABLED', 'false').lower() == 'true'
      # print(f"login_disabled: {login_disabled}")
      if login_disabled:
        verify_jwt_in_request(optional=True)
      else:
        try:
          verify_jwt_in_request()
        except:
          redirect_url = request.args.get('redirect_url',None)
          if (redirect_url):
            return redirect(env('MDH_FRONTEND', '/'))
          
          abort(HTTPStatus.FORBIDDEN.value,'User is not logged in')

      return fn(*args, **kwargs)
        
    return decorator

  return wrapper