"""add-unit-translation-to-pm_functions

Revision ID: 06621cf1d892
Revises: 235f34bd2471
Create Date: 2023-10-30 12:02:36.687662

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '06621cf1d892'
down_revision = '235f34bd2471'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.add_column(sa.Column('unit_translation_id', sa.Integer(), nullable=True))
        batch_op.create_foreign_key(None, 'unit_translations', ['unit_translation_id'], ['id'], ondelete='SET NULL')

    # ### end Alembic commands ###
    op.execute("update pm_functions as pm set unit_translation_id = ut.id from unit_translations as ut where pm.unit_system=ut.unit_system and pm.units=ut.name")

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_constraint('pm_functions_unit_translation_id_fkey', type_='foreignkey')
        batch_op.drop_column('unit_translation_id')

    # ### end Alembic commands ###
