"""add-units-to-trend_meta_data-table.

Revision ID: 09a123011dba
Revises: f1cc13b959d0
Create Date: 2024-01-16 15:15:30.417087

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '09a123011dba'
down_revision = 'f1cc13b959d0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('trend_meta_data', schema=None) as batch_op:
        batch_op.add_column(sa.Column('units', sa.String(length=20), nullable=True))
        batch_op.add_column(sa.Column('fps_units', sa.String(length=20), nullable=True))
        batch_op.add_column(sa.Column('mks_units', sa.String(length=20), nullable=True))

    # ### end Alembic commands ###
    op.execute("update trend_meta_data tmd \
        set units=pmf.units, fps_units=pmf.units, mks_units=pmf.units \
        from (SELECT id,units from pm_functions) as pmf where tmd.pm_func_id = pmf.id" \
    )
    op.execute("update trend_meta_data tmd \
        set fps_units=sq.translate_name \
        from \
           (select pmf.id as id,ut.translate_name as translate_name from pm_functions as pmf join unit_translations ut on ut.name=pmf.units where pmf.unit_system='mks') as sq \
           where tmd.pm_func_id = sq.id" \
    )
    op.execute("update trend_meta_data tmd \
        set mks_units=sq.translate_name \
        from \
           (select pmf.id as id,ut.translate_name as translate_name from pm_functions as pmf join unit_translations ut on ut.name=pmf.units where pmf.unit_system='fps') as sq \
           where tmd.pm_func_id = sq.id" \
    )



def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('trend_meta_data', schema=None) as batch_op:
        batch_op.drop_column('mks_units')
        batch_op.drop_column('fps_units')
        batch_op.drop_column('units')

    # ### end Alembic commands ###
