"""add-x/y-units-to-pm_functions

Revision ID: 205c9e87d5e7
Revises: 06621cf1d892
Create Date: 2023-11-02 15:41:40.657038

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '205c9e87d5e7'
down_revision = '06621cf1d892'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_index('device_unit_data_points_timestamp_idx')

    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.add_column(sa.Column('x_unit', sa.String(length=20), nullable=True))
        batch_op.add_column(sa.Column('y_unit', sa.String(length=20), nullable=True))

    # ### end Alembic commands ###

    op.execute("update pm_functions set x_unit=config->'xUNIT'->>'display_name', y_unit=config->'yUNIT'->>'dispaly_name'")


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_column('y_unit')
        batch_op.drop_column('x_unit')

    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.create_index('device_unit_data_points_timestamp_idx', [sa.text('timestamp DESC')], unique=False)

    # ### end Alembic commands ###
