"""add-gauge-ranges

Revision ID: 22f9f328759e
Revises: cd7d577eb569
Create Date: 2024-01-31 11:12:40.899436

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '22f9f328759e'
down_revision = 'cd7d577eb569'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('gauge_ranges',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=True),
    sa.Column('trend_meta_data_name', sa.String(), nullable=True),
    sa.Column('trend_meta_data_id', sa.Integer(), nullable=True),
    sa.Column('pm_function_id', sa.Integer(), nullable=True),
    sa.Column('device_data_item_id', sa.Integer(), nullable=True),
    sa.Column('color', sa.String(length=50), nullable=True),
    sa.Column('start', sa.Float(), nullable=True),
    sa.Column('end', sa.Float(), nullable=True),
    sa.Column('fps_start', sa.Float(), nullable=True),
    sa.Column('fps_end', sa.Float(), nullable=True),
    sa.Column('mks_start', sa.Float(), nullable=True),
    sa.Column('mks_end', sa.Float(), nullable=True),
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.ForeignKeyConstraint(['device_data_item_id'], ['device_data_items.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['pm_function_id'], ['pm_functions.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['trend_meta_data_id'], ['trend_meta_data.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.add_column(sa.Column('set_color', sa.Boolean(), server_default='f', nullable=False))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_column('set_color')

    op.drop_table('gauge_ranges')
    # ### end Alembic commands ###
