"""make-unit-system-translation

Revision ID: 235f34bd2471
Revises: cd89593f0ae9
Create Date: 2023-10-30 11:01:36.282404

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import text

# revision identifiers, used by Alembic.
revision = '235f34bd2471'
down_revision = 'cd89593f0ae9'
branch_labels = None
depends_on = None


unit_system = [
    {
        "unit_system": "fps",
        "name": "inHg",
        "translate_unit_system": "mks",
        "translate_name": "mmHg"
    },
    {
        "unit_system": "mks",
        "name": "mmHg",
        "translate_unit_system": "fps",
        "translate_name": "inHg"
    }
]

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('unit_translations',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('unit_system', sa.String(length=4), nullable=False),
    sa.Column('name', sa.String(length=20), nullable=False),
    sa.Column('translate_unit_system', sa.String(length=4), nullable=False),
    sa.Column('translate_name', sa.String(length=20), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###

    conn = op.get_bind()
    for units in unit_system :
        conn.execute(text("INSERT INTO unit_translations(unit_system,name, translate_unit_system,translate_name) VALUES (:unit_system, :name, :translate_unit_system, :translate_name)"), units)




def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('unit_translations')
    # ### end Alembic commands ###
