"""add-cascading-for-assembly-and-subassembly_instance

Revision ID: 31f2a358b06a
Revises: 9df1cc7caeec
Create Date: 2024-02-16 13:30:48.847094

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '31f2a358b06a'
down_revision = '9df1cc7caeec'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('gauges', schema=None) as batch_op:
        batch_op.drop_constraint('gauges_assembly_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key(None, 'assemblies', ['assembly_id'], ['id'], ondelete='CASCADE')

    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_constraint('pm_functions_subassembly_instance_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key(None, 'subassembly_instances', ['subassembly_instance_id'], ['id'], ondelete='CASCADE')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_constraint('pm_functions_subassembly_instance_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key('pm_functions_subassembly_instance_id_fkey', 'subassembly_instances', ['subassembly_instance_id'], ['id'])

    with op.batch_alter_table('gauges', schema=None) as batch_op:
        batch_op.drop_constraint('gauges_assembly_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key('gauges_assembly_id_fkey', 'assemblies', ['assembly_id'], ['id'])

    # ### end Alembic commands ###
