"""add-etl-items-to-pm_functions

Revision ID: 34c8ef460f5f
Revises: 96be995b3748
Create Date: 2024-02-28 10:05:42.738004

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '34c8ef460f5f'
down_revision = '96be995b3748'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.add_column(sa.Column('gauge_style', sa.String(length=50), server_default='standard', nullable=True))
        batch_op.add_column(sa.Column('etl_pm_function_id', sa.Integer(), nullable=True))
        batch_op.create_foreign_key(None, 'pm_functions', ['etl_pm_function_id'], ['id'], ondelete='CASCADE')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_constraint('pm_functions_etl_pm_function_id_fkey', type_='foreignkey')
        batch_op.drop_column('etl_pm_function_id')
        batch_op.drop_column('gauge_style')

    # ### end Alembic commands ###
