"""Remove machines table

Revision ID: 3544180e7499
Revises: df98e1174cc1
Create Date: 2022-05-04 13:20:03.988367

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3544180e7499'
down_revision = 'df98e1174cc1'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('machines')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('machines',
    sa.Column('created_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('datahub_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('machine_id', sa.VARCHAR(length=64), autoincrement=False, nullable=False),
    sa.Column('onboarded', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['datahub_id'], ['datahubs.id'], name='machines_datahub_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='machines_pkey')
    )
    # ### end Alembic commands ###
