"""fix-missing-trends

Revision ID: 38f86af62db4
Revises: b3896a553a31
Create Date: 2023-10-17 13:40:56.813735

"""
from alembic import op
import sqlalchemy as sa
from mdhwebserver.models.models import TrendMetaData,PmFunction
from sqlalchemy.sql import text

# revision identifiers, used by Alembic.
revision = '38f86af62db4'
down_revision = 'b3896a553a31'
branch_labels = None
depends_on = None


missing_trends = {
    'Vibration (Amplitude)': {
        'name': 'trend',
        'display_name': 'trend',
        'color': 'blue'
    },
    'Sensor Installation': {
        'name': 'trend',
        'display_name': 'trend',
        'color': 'blue'
    },
    'Humidity ( 10 minutes )': {
        'name': 'trend',
        'display_name': 'trend',
        'color': 'blue'
    }
}


def fix_missing_trend_meta_data():
    global missing_trends

    conn = op.get_bind()

    for pm_func_name, trend in missing_trends.items():
        res = conn.execute(text("SELECT id FROM pm_functions WHERE name = :name"), {'name':pm_func_name})
        print("res: ",res)
        record = res.fetchone()
        while record:
            print("record: ",record)
            pm_func_id = record[0]
            print("pm_func_id: ",pm_func_id)
            trend['color'] = 'blue'
            trend['pm_func_id'] = pm_func_id
            conn.execute(text("INSERT into trend_meta_data(created_on, updated_on, pm_func_id,name,display_name,color) VALUES(now(),now(),:pm_func_id,:name,:display_name,:color)"), trend)
            record = res.fetchone()

def fix_missing_trend_meta_data_old():
    global missing_trends

    for pm_func_name, trend in missing_trends.items():
        pms = PmFunction.where(name=pm_func_name)
        for pm in pms:
            print("pm name: ",pm.name)
            pm.trend_meta_data.append(TrendMetaData(**{
                'name': 'trend',
                'display_name': 'trend',
                'color': 'blue'
            }))
            pm.save()

def remove_missing_trend_meta_data():
    for pm_func_name, trend in missing_trends.items():
        pms = PmFunction.where(name=pm_func_name)
        for pm in pms:
            for tmd in pm.trend_meta_data:
                tmd.delete()
            pm.save()




def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    # ### end Alembic commands ###
    fix_missing_trend_meta_data()



def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    # ### end Alembic commands ###
    remove_missing_trend_meta_data()

