"""remove-gauge_configs

Revision ID: 39389e0101ed
Revises: 754d5e8ea35b
Create Date: 2023-12-27 12:55:39.023122

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '39389e0101ed'
down_revision = '754d5e8ea35b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('gauge_config')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('gauge_config',
    sa.Column('machine_id', sa.VARCHAR(length=64), autoincrement=False, nullable=False),
    sa.Column('pm_func_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('config', postgresql.JSONB(astext_type=sa.Text()), autoincrement=False, nullable=True),
    sa.Column('updated_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('created_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['machine_id'], ['gauges.machine_id'], name='gauge_config_machine_id_fkey', ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['pm_func_id'], ['pm_functions.id'], name='gauge_config_pm_func_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='gauge_config_pkey')
    )
    # ### end Alembic commands ###
