"""add-user-columns

Revision ID: 430328cacdae
Revises: a924dec6646d
Create Date: 2023-11-29 14:41:35.544211

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '430328cacdae'
down_revision = 'a924dec6646d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('users', schema=None) as batch_op:
        batch_op.add_column(sa.Column('unit_system', sa.String(length=4), nullable=True, server_default='fps'))
        batch_op.add_column(sa.Column('heatmap_view_id', sa.Integer(), nullable=True))
        batch_op.create_foreign_key(None, 'heatmap_views', ['heatmap_view_id'], ['id'], ondelete='SET NULL')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('users', schema=None) as batch_op:
        batch_op.drop_constraint('users_heatmap_view_id_fkey', type_='foreignkey')
        batch_op.drop_column('heatmap_view_id')
        batch_op.drop_column('unit_system')

    # ### end Alembic commands ###
