"""add_device_data_item_data_mappers

Revision ID: 46ea68609762
Revises: ecb92fa17416
Create Date: 2024-06-17 13:18:40.964010

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '46ea68609762'
down_revision = 'ecb92fa17416'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('device_data_mappers',
    sa.Column('device_data_item_id', sa.Integer(), nullable=False),
    sa.Column('trend_meta_data_id', sa.Integer(), nullable=False),
    sa.Column('gauge_id', sa.Integer(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.ForeignKeyConstraint(['device_data_item_id'], ['device_data_items.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['gauge_id'], ['gauges.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['trend_meta_data_id'], ['trend_meta_data.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    with op.batch_alter_table('device_data_mappers', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_device_data_mappers_device_data_item_id'), ['device_data_item_id'], unique=False)
        batch_op.create_index(batch_op.f('ix_device_data_mappers_gauge_id'), ['gauge_id'], unique=False)
        batch_op.create_index(batch_op.f('ix_device_data_mappers_trend_meta_data_id'), ['trend_meta_data_id'], unique=False)

    # ### end Alembic commands ###


    op.execute("insert into device_data_mappers(device_data_item_id,gauge_id,trend_meta_data_id,created_on) \
        select ddi.id as device_data_item_id, ddi.gauge_id as gauge_id, tmd.id as trend_meta_data_id,now() as created_on \
        from device_data_items ddi  \
        join trend_meta_data tmd  on ddi.pm_func_id = tmd.pm_func_id" \
    )


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_data_mappers', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_device_data_mappers_trend_meta_data_id'))
        batch_op.drop_index(batch_op.f('ix_device_data_mappers_gauge_id'))
        batch_op.drop_index(batch_op.f('ix_device_data_mappers_device_data_item_id'))

    op.drop_table('device_data_mappers')
    # ### end Alembic commands ###
