"""add gauge cascades

Revision ID: 4e0ce905d4fd
Revises: 66d7aa50fc2a
Create Date: 2022-05-06 13:15:01.301312

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '4e0ce905d4fd'
down_revision = '66d7aa50fc2a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('device_data_items_gauge_id_fkey', 'device_data_items', type_='foreignkey')
    op.create_foreign_key(None, 'device_data_items', 'gauges', ['gauge_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('device_data_points_gauge_id_fkey', 'device_data_points', type_='foreignkey')
    op.create_foreign_key(None, 'device_data_points', 'gauges', ['gauge_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('device_datas_gauge_id_fkey', 'device_datas', type_='foreignkey')
    op.create_foreign_key(None, 'device_datas', 'gauges', ['gauge_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('expert_data_points_gauge_id_fkey', 'expert_data_points', type_='foreignkey')
    op.create_foreign_key(None, 'expert_data_points', 'gauges', ['gauge_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('gauge_config_machine_id_fkey', 'gauge_config', type_='foreignkey')
    op.create_foreign_key(None, 'gauge_config', 'gauges', ['machine_id'], ['machine_id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('gauge_config_machine_id_fkey', 'gauge_config', type_='foreignkey')
    op.create_foreign_key('gauge_config_machine_id_fkey', 'gauge_config', 'gauges', ['machine_id'], ['machine_id'])
    op.drop_constraint('expert_data_points_gauge_id_fkey', 'expert_data_points', type_='foreignkey')
    op.create_foreign_key('expert_data_points_gauge_id_fkey', 'expert_data_points', 'gauges', ['gauge_id'], ['id'])
    op.drop_constraint('device_datas_gauge_id_fkey', 'device_datas', type_='foreignkey')
    op.create_foreign_key('device_datas_gauge_id_fkey', 'device_datas', 'gauges', ['gauge_id'], ['id'])
    op.drop_constraint('device_data_points_gauge_id_fkey', 'device_data_points', type_='foreignkey')
    op.create_foreign_key('device_data_points_gauge_id_fkey', 'device_data_points', 'gauges', ['gauge_id'], ['id'])
    op.drop_constraint('device_data_items_gauge_id_fkey', 'device_data_items', type_='foreignkey')
    op.create_foreign_key('device_data_items_gauge_id_fkey', 'device_data_items', 'gauges', ['gauge_id'], ['id'])
    # ### end Alembic commands ###
