"""add_ota_files

Revision ID: 6a70cac85f4c
Revises: 46ea68609762
Create Date: 2024-06-27 14:19:34.567291

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6a70cac85f4c'
down_revision = '46ea68609762'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('ota_files',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('product_line', sa.String(length=20), nullable=True),
    sa.Column('version', sa.String(length=20), nullable=True),
    sa.Column('updated_on', sa.TIMESTAMP(), nullable=False),
    sa.Column('file_name', sa.String(length=256), nullable=False),
    sa.Column('file_path', sa.String(length=256), nullable=False),
    sa.Column('file_system', sa.String(length=20), nullable=True),
    sa.Column('pi_version', sa.String(length=20), nullable=True),
    sa.Column('file_type', sa.String(length=20), nullable=True),
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('file_name'),
    sa.UniqueConstraint('file_path')
    )
    with op.batch_alter_table('datahubs', schema=None) as batch_op:
        batch_op.add_column(sa.Column('ota_downloaded_on', sa.TIMESTAMP(), nullable=True))
        batch_op.add_column(sa.Column('ota_file_id', sa.Integer(), nullable=True))
        batch_op.create_foreign_key(None, 'ota_files', ['ota_file_id'], ['id'])

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('datahubs', schema=None) as batch_op:
        batch_op.drop_constraint(None, type_='foreignkey')
        batch_op.drop_column('ota_file_id')
        batch_op.drop_column('ota_downloaded_on')

    op.drop_table('ota_files')
    # ### end Alembic commands ###
