"""remove-uneeded-heatmap-link-columns

Revision ID: 7710fb69b517
Revises: c3645db45108
Create Date: 2023-12-15 12:23:52.331299

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7710fb69b517'
down_revision = 'c3645db45108'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute("delete from heatmap_links where parent_id is not null")
    with op.batch_alter_table('heatmap_links', schema=None) as batch_op:
        batch_op.drop_constraint('heatmap_links_parent_id_fkey', type_='foreignkey')
        batch_op.drop_column('alarm_limit')
        batch_op.drop_column('color')
        batch_op.drop_column('parent_id')
        batch_op.drop_column('color_count')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('heatmap_links', schema=None) as batch_op:
        batch_op.add_column(sa.Column('color_count', sa.INTEGER(), autoincrement=False, nullable=False,server_default='0'))
        batch_op.add_column(sa.Column('parent_id', sa.INTEGER(), autoincrement=False, nullable=True))
        batch_op.add_column(sa.Column('color', sa.VARCHAR(length=50), autoincrement=False, nullable=True))
        batch_op.add_column(sa.Column('alarm_limit', sa.INTEGER(), autoincrement=False, nullable=False,server_default='1'))
        batch_op.create_foreign_key('heatmap_links_parent_id_fkey', 'heatmap_links', ['parent_id'], ['id'])

    # ### end Alembic commands ###
