"""Remove-gauge_type_id-keying

Revision ID: 7e7a6c134853
Revises: a662894cdf69
Create Date: 2023-12-27 10:41:01.399555

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7e7a6c134853'
down_revision = 'a662894cdf69'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('gauges', schema=None) as batch_op:
        batch_op.drop_constraint('gauges_gauge_type_id_fkey', type_='foreignkey')
        batch_op.drop_column('gauge_type_id')

    with op.batch_alter_table('subassembly_instances', schema=None) as batch_op:
        batch_op.drop_constraint('subassembly_instances_gauge_type_id_fkey', type_='foreignkey')
        batch_op.drop_column('gauge_type_id')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('subassembly_instances', schema=None) as batch_op:
        batch_op.add_column(sa.Column('gauge_type_id', sa.INTEGER(), autoincrement=False, nullable=True))
        batch_op.create_foreign_key('subassembly_instances_gauge_type_id_fkey', 'gauge_types', ['gauge_type_id'], ['id'])

    with op.batch_alter_table('gauges', schema=None) as batch_op:
        batch_op.add_column(sa.Column('gauge_type_id', sa.INTEGER(), autoincrement=False, nullable=True))
        batch_op.create_foreign_key('gauges_gauge_type_id_fkey', 'gauge_types', ['gauge_type_id'], ['id'])

    # ### end Alembic commands ###
