"""add-more-indexing

Revision ID: 9c0d015501df
Revises: c6d1ca455270
Create Date: 2024-04-22 13:06:57.548082

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9c0d015501df'
down_revision = 'c6d1ca455270'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_data_items', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_device_data_items_gauge_id'), ['gauge_id'], unique=False)
        batch_op.create_index(batch_op.f('ix_device_data_items_pm_func_id'), ['pm_func_id'], unique=False)

    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_device_unit_data_points_trend_meta_data_id'), ['trend_meta_data_id'], unique=False)

    with op.batch_alter_table('forgot_passwords', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_forgot_passwords_user_id'), ['user_id'], unique=False)

    with op.batch_alter_table('heatmap_items', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_heatmap_items_device_data_item_id'), ['device_data_item_id'], unique=False)
        batch_op.create_index(batch_op.f('ix_heatmap_items_gauge_id'), ['gauge_id'], unique=False)
        batch_op.create_index(batch_op.f('ix_heatmap_items_pm_function_id'), ['pm_function_id'], unique=False)

    with op.batch_alter_table('mro_issues', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_mro_issues_pm_function_id'), ['pm_function_id'], unique=False)

    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_pm_functions_subassembly_instance_id'), ['subassembly_instance_id'], unique=False)

    with op.batch_alter_table('trend_meta_data', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_trend_meta_data_pm_func_id'), ['pm_func_id'], unique=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('trend_meta_data', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_trend_meta_data_pm_func_id'))

    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_pm_functions_subassembly_instance_id'))

    with op.batch_alter_table('mro_issues', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_mro_issues_pm_function_id'))

    with op.batch_alter_table('heatmap_items', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_heatmap_items_pm_function_id'))
        batch_op.drop_index(batch_op.f('ix_heatmap_items_gauge_id'))
        batch_op.drop_index(batch_op.f('ix_heatmap_items_device_data_item_id'))

    with op.batch_alter_table('forgot_passwords', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_forgot_passwords_user_id'))

    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_device_unit_data_points_trend_meta_data_id'))

    with op.batch_alter_table('device_data_items', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_device_data_items_pm_func_id'))
        batch_op.drop_index(batch_op.f('ix_device_data_items_gauge_id'))

    # ### end Alembic commands ###
