"""remove-device-data-point

Revision ID: 9defb58cc60e
Revises: 33d03480e49b
Create Date: 2024-01-24 13:15:36.529732

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '9defb58cc60e'
down_revision = '33d03480e49b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_data_points', schema=None) as batch_op:
        batch_op.drop_index('data_point_graphing_idx')

    op.drop_table('device_data_points')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('device_data_points',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('gauge_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('machine_id', sa.VARCHAR(length=64), autoincrement=False, nullable=False),
    sa.Column('timestamp', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('trend_meta_data_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('value', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('created_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['gauge_id'], ['gauges.id'], name='device_data_points_gauge_id_fkey', ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['trend_meta_data_id'], ['trend_meta_data.id'], name='device_data_points_trend_meta_data_id_fkey', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', 'timestamp', name='device_data_points_pkey')
    )
    with op.batch_alter_table('device_data_points', schema=None) as batch_op:
        batch_op.create_index('data_point_graphing_idx', ['machine_id', 'timestamp', 'trend_meta_data_id'], unique=False)

    # ### end Alembic commands ###
