"""fix-indexing-on-device-unit-data-points

Revision ID: 9df1cc7caeec
Revises: 7fb3bfb89ab9
Create Date: 2024-02-12 13:25:37.006031

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9df1cc7caeec'
down_revision = '7fb3bfb89ab9'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_index('unit_data_point_graphing_idx')
        batch_op.create_index('unit_data_point_graphing_idx', ['gauge_id', 'timestamp', 'trend_meta_data_id'], unique=False)
        batch_op.drop_column('machine_id')

    # ### end Alembic commands ###

# Downgrade won't work due to removing the machine_id column, we no longer have it set.
# To fix this we need to query gauge table for it and set up, but since we don't allow it to be nullable it doesn't work, unless we do a 
# Workaround for that.
def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.add_column(sa.Column('machine_id', sa.VARCHAR(length=64), autoincrement=False, nullable=False))
        batch_op.drop_index('unit_data_point_graphing_idx')
        batch_op.create_index('unit_data_point_graphing_idx', ['machine_id', 'timestamp', 'trend_meta_data_id'], unique=False)

    # ### end Alembic commands ###
