"""remove-heatmap-views-and-links

Revision ID: a662894cdf69
Revises: 1a0be22e1559
Create Date: 2023-12-21 14:56:51.255906

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'a662894cdf69'
down_revision = '1a0be22e1559'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('heatmap_links')
    op.drop_table('heatmap_views')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('heatmap_views',
    sa.Column('id', sa.INTEGER(), server_default=sa.text("nextval('heatmap_views_id_seq'::regclass)"), autoincrement=True, nullable=False),
    sa.Column('name', sa.VARCHAR(length=128), autoincrement=False, nullable=False),
    sa.Column('updated_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('created_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='heatmap_views_pkey'),
    postgresql_ignore_search_path=False
    )
    op.create_table('heatmap_links',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('heatmap_view_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('heatmap_item_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('order_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('updated_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('created_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['heatmap_item_id'], ['heatmap_items.id'], name='heatmap_links_heatmap_item_id_fkey', ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['heatmap_view_id'], ['heatmap_views.id'], name='heatmap_links_heatmap_view_id_fkey', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name='heatmap_links_pkey')
    )
    # ### end Alembic commands ###
