"""Fix-many-to-many-keying

Revision ID: a924dec6646d
Revises: dc71d860aba3
Create Date: 2023-11-28 12:09:32.132695

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a924dec6646d'
down_revision = 'dc71d860aba3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('assemblies_subassembly_instances', schema=None) as batch_op:
        batch_op.alter_column('assembly_id',
               existing_type=sa.INTEGER(),
               nullable=False)
        batch_op.alter_column('subassemblies_id',
               existing_type=sa.INTEGER(),
               nullable=False)
        batch_op.drop_constraint('assemblies_subassembly_instances_assembly_id_fkey', type_='foreignkey')
        batch_op.drop_constraint('assemblies_subassembly_instances_subassemblies_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key(None, 'assemblies', ['assembly_id'], ['id'], ondelete='CASCADE')
        batch_op.create_foreign_key(None, 'subassembly_instances', ['subassemblies_id'], ['id'], ondelete='CASCADE')

    with op.batch_alter_table('gauges_device_data_items', schema=None) as batch_op:
        batch_op.alter_column('gauge_id',
               existing_type=sa.INTEGER(),
               nullable=False)
        batch_op.alter_column('device_data_item_id',
               existing_type=sa.INTEGER(),
               nullable=False)
        batch_op.drop_constraint('gauges_device_data_items_device_data_item_id_fkey', type_='foreignkey')
        batch_op.drop_constraint('gauges_device_data_items_gauge_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key(None, 'device_data_items', ['device_data_item_id'], ['id'], ondelete='CASCADE')
        batch_op.create_foreign_key(None, 'gauges', ['gauge_id'], ['id'], ondelete='CASCADE')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('gauges_device_data_items', schema=None) as batch_op:
        batch_op.drop_constraint('gauges_device_data_items_gauge_id_fkey', type_='foreignkey')
        batch_op.drop_constraint('gauges_device_data_items_device_data_item_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key('gauges_device_data_items_gauge_id_fkey', 'gauges', ['gauge_id'], ['id'])
        batch_op.create_foreign_key('gauges_device_data_items_device_data_item_id_fkey', 'device_data_items', ['device_data_item_id'], ['id'])
        batch_op.alter_column('device_data_item_id',
               existing_type=sa.INTEGER(),
               nullable=True)
        batch_op.alter_column('gauge_id',
               existing_type=sa.INTEGER(),
               nullable=True)

    with op.batch_alter_table('assemblies_subassembly_instances', schema=None) as batch_op:
        batch_op.drop_constraint('assemblies_subassembly_instances_assembly_id_fkey', type_='foreignkey')
        batch_op.drop_constraint('assemblies_subassembly_instances_subassemblies_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key('assemblies_subassembly_instances_subassemblies_id_fkey', 'subassembly_instances', ['subassemblies_id'], ['id'])
        batch_op.create_foreign_key('assemblies_subassembly_instances_assembly_id_fkey', 'assemblies', ['assembly_id'], ['id'])
        batch_op.alter_column('subassemblies_id',
               existing_type=sa.INTEGER(),
               nullable=True)
        batch_op.alter_column('assembly_id',
               existing_type=sa.INTEGER(),
               nullable=True)

    # ### end Alembic commands ###
