"""modify-heatmap-item

Revision ID: c03d5566ef9e
Revises: 7710fb69b517
Create Date: 2023-12-18 12:04:06.397633

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c03d5566ef9e'
down_revision = '7710fb69b517'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('heatmap_items', schema=None) as batch_op:
        batch_op.add_column(sa.Column('view_type', sa.String(length=30), nullable=True))
        batch_op.drop_constraint('heatmap_items_parent_id_fkey', type_='foreignkey')
        batch_op.drop_column('group_id')
        batch_op.drop_column('parent_id')

    op.execute("update heatmap_items set view_type = 'gauge' where device_data_item_id is not null")
    op.execute("update heatmap_items set view_type = 'machine' where device_data_item_id is null and gauge_id is not null")
    op.execute("update heatmap_items set view_type = 'view' where device_data_item_id is null and gauge_id is null")

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('heatmap_items', schema=None) as batch_op:
        batch_op.add_column(sa.Column('parent_id', sa.INTEGER(), autoincrement=False, nullable=True))
        batch_op.add_column(sa.Column('group_id', sa.INTEGER(), autoincrement=False, nullable=True))
        batch_op.create_foreign_key('heatmap_items_parent_id_fkey', 'heatmap_items', ['parent_id'], ['id'])
        batch_op.drop_column('view_type')

    # ### end Alembic commands ###
