"""create-gauge-seeding-table

Revision ID: c1a883cdbad3
Revises: c87b74d123e7
Create Date: 2023-11-06 10:46:54.822414

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c1a883cdbad3'
down_revision = 'c87b74d123e7'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('gauge_seedings',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=256), nullable=False),
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_index('device_unit_data_points_timestamp_idx')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.create_index('device_unit_data_points_timestamp_idx', [sa.text('timestamp DESC')], unique=False)

    op.drop_table('gauge_seedings')
    # ### end Alembic commands ###
