"""add-columns-to-gauge_types

Revision ID: c21d47184a37
Revises: 024fc32401a5
Create Date: 2024-01-03 11:07:09.370833

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c21d47184a37'
down_revision = '024fc32401a5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('gauge_types', schema=None) as batch_op:
        batch_op.add_column(sa.Column('display_name', sa.String(length=128), nullable=True))
        batch_op.add_column(sa.Column('image', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('editable', sa.Boolean(), server_default='t', nullable=False))

    # ### end Alembic commands ###
    op.execute("update gauge_types set display_name='Bar', image='bar', editable='f' where name='bar'")
    op.execute("update gauge_types set display_name='Stacked Bar', image='Stacked_bar', editable='f' where name='stackedbar'")
    op.execute("update gauge_types set display_name='Value', image='value', editable='f' where name='value'")
    op.execute("update gauge_types set display_name='Color', image='default_color_image', editable='t' where name='color'")

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('gauge_types', schema=None) as batch_op:
        batch_op.drop_column('editable')
        batch_op.drop_column('image')
        batch_op.drop_column('display_name')

    # ### end Alembic commands ###
