"""add-y-trend-min-max

Revision ID: c87b74d123e7
Revises: 205c9e87d5e7
Create Date: 2023-11-03 14:33:49.037640

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import text

# revision identifiers, used by Alembic.
revision = 'c87b74d123e7'
down_revision = '205c9e87d5e7'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_index('device_unit_data_points_timestamp_idx')

    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.add_column(sa.Column('y_trend_min', sa.Float(), nullable=True))
        batch_op.add_column(sa.Column('y_trend_max', sa.Float(), nullable=True))

    # ### end Alembic commands ###
    conn = op.get_bind()
    conn.execute(text(" update pm_functions  set y_trend_min = ddi.y_trend_min::float, y_trend_max = ddi.y_trend_max::float from (select pm_func_id,pm_function_name,data->'mart'->>'trendYMax' as y_trend_max, data->'mart'->>'trendYMin' as y_trend_min from device_data_items) ddi where ddi.pm_func_id = pm_functions.id"))

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_column('y_trend_max')
        batch_op.drop_column('y_trend_min')

    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.create_index('device_unit_data_points_timestamp_idx', [sa.text('timestamp DESC')], unique=False)

    # ### end Alembic commands ###
