"""heatmap_item_changes

Revision ID: cd89593f0ae9
Revises: de12f1a72805
Create Date: 2023-10-27 11:02:15.785618

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'cd89593f0ae9'
down_revision = 'de12f1a72805'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('heatmap_child_parent_items',
    sa.Column('parent_id', sa.Integer(), nullable=False),
    sa.Column('child_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['child_id'], ['heatmap_items.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['parent_id'], ['heatmap_items.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('parent_id', 'child_id')
    )
    with op.batch_alter_table('heatmap_items', schema=None) as batch_op:
        batch_op.add_column(sa.Column('order_id', sa.Integer(), nullable=True))
        batch_op.add_column(sa.Column('color_count', sa.Integer(), server_default='0', nullable=False))
        batch_op.add_column(sa.Column('alarm_limit', sa.Integer(), server_default='1', nullable=False))
        batch_op.add_column(sa.Column('last_color_update', sa.Integer(), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('heatmap_items', schema=None) as batch_op:
        batch_op.drop_column('last_color_update')
        batch_op.drop_column('alarm_limit')
        batch_op.drop_column('color_count')
        batch_op.drop_column('order_id')

    op.drop_table('heatmap_child_parent_items')
    # ### end Alembic commands ###
