"""empty message

Revision ID: d630262f98b1
Revises: 1df7285f8393
Create Date: 2023-11-21 12:52:04.200424

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd630262f98b1'
down_revision = '1df7285f8393'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('gauges_device_data_items',
    sa.Column('gauge_id', sa.Integer(), nullable=True),
    sa.Column('device_data_item_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['device_data_item_id'], ['device_data_items.id'], ),
    sa.ForeignKeyConstraint(['gauge_id'], ['gauges.id'], )
    )
    with op.batch_alter_table('device_data_items', schema=None) as batch_op:
        batch_op.alter_column('pm_func_id',
               existing_type=sa.INTEGER(),
               nullable=False)
        batch_op.create_foreign_key(None, 'pm_functions', ['pm_func_id'], ['id'], ondelete='CASCADE')

    with op.batch_alter_table('gauges', schema=None) as batch_op:
        batch_op.add_column(sa.Column('machine_view_type', sa.String(length=30), server_default='machine', nullable=True))

    # ### end Alembic commands ###
    op.execute('insert into gauges_device_data_items(gauge_id,device_data_item_id) select gauge_id, id from device_data_items')



def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('gauges', schema=None) as batch_op:
        batch_op.drop_column('machine_view_type')

    with op.batch_alter_table('device_data_items', schema=None) as batch_op:
        batch_op.drop_constraint('device_data_items_pm_func_id_fkey', type_='foreignkey')
        batch_op.alter_column('pm_func_id',
               existing_type=sa.INTEGER(),
               nullable=True)

    op.drop_table('gauges_device_data_items')
    # ### end Alembic commands ###
