"""add mro log

Revision ID: da47bdd70292
Revises: ee18c575df91
Create Date: 2022-08-17 10:11:51.552722

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'da47bdd70292'
down_revision = 'ee18c575df91'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('mro_logs',
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('gauge_id', sa.Integer(), nullable=False),
    sa.Column('machine_id', sa.String(length=64), nullable=False),
    sa.Column('timestamp', sa.TIMESTAMP(), nullable=False),
    sa.Column('pm_function_id', sa.Integer(), nullable=True),
    sa.Column('status', sa.String(length=30), nullable=True),
    sa.Column('color', sa.String(length=30), nullable=False),
    sa.ForeignKeyConstraint(['gauge_id'], ['gauges.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['pm_function_id'], ['pm_functions.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_mro_logs_machine_id'), 'mro_logs', ['machine_id'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_mro_logs_machine_id'), table_name='mro_logs')
    op.drop_table('mro_logs')
    # ### end Alembic commands ###
