"""add_heatmap

Revision ID: da59a6d706e1
Revises: d7e4baef6fa6
Create Date: 2023-09-20 12:23:18.792424

"""
from alembic import op
import sqlalchemy as sa
from datetime import datetime
from sqlalchemy.sql import text


# revision identifiers, used by Alembic.
revision = 'da59a6d706e1'
down_revision = 'd7e4baef6fa6'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('heatmap_views',
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=False),
    sa.Column('updated_on', sa.TIMESTAMP(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('heatmap_items',
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('parent_id', sa.Integer(), nullable=True),
    sa.Column('gauge_id', sa.Integer(), nullable=True),
    sa.Column('pm_function_id', sa.Integer(), nullable=True),
    sa.Column('group_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(length=128), nullable=False),
    sa.Column('color', sa.String(length=50), nullable=True),
    sa.Column('of_interest', sa.Boolean(), nullable=False),
    sa.Column('updated_on', sa.TIMESTAMP(), nullable=False),
    sa.Column('type', sa.String(length=128), nullable=True),
    sa.ForeignKeyConstraint(['gauge_id'], ['gauges.id'], ),
    sa.ForeignKeyConstraint(['parent_id'], ['heatmap_items.id'], ),
    sa.ForeignKeyConstraint(['pm_function_id'], ['pm_functions.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('heatmap_links',
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('heatmap_view_id', sa.Integer(), nullable=False),
    sa.Column('heatmap_item_id', sa.Integer(), nullable=False),
    sa.Column('order_id', sa.Integer(), nullable=True),
    sa.Column('color', sa.String(length=50), nullable=True),
    sa.Column('color_count', sa.Integer(), nullable=False),
    sa.Column('alarm_limit', sa.Integer(), nullable=False),
    sa.Column('parent_id', sa.Integer(), nullable=True),
    sa.Column('updated_on', sa.TIMESTAMP(), nullable=False),
    sa.ForeignKeyConstraint(['heatmap_item_id'], ['heatmap_items.id'], ),
    sa.ForeignKeyConstraint(['heatmap_view_id'], ['heatmap_views.id'], ),
    sa.ForeignKeyConstraint(['parent_id'], ['heatmap_links.id'], ),
    sa.PrimaryKeyConstraint('id')
    )

    conn = op.get_bind()
    conn.execute(text("INSERT INTO heatmap_views (id, name, created_on, updated_on ) VALUES (1, 'Default', :created_on, :updated_on)"), [{'created_on': datetime.now(), 'updated_on': datetime.now()}])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('heatmap_links')
    op.drop_table('heatmap_items')
    op.drop_table('heatmap_views')
    # ### end Alembic commands ###
