"""device_unit_data_points

Revision ID: de12f1a72805
Revises: b5e9fcff2bda
Create Date: 2023-10-23 08:43:43.957013

"""
from alembic import op
import sqlalchemy as sa
from mdhwebserver.models.types.SiUnit import SiUnit

# revision identifiers, used by Alembic.
revision = 'de12f1a72805'
down_revision = '1c2f38600699'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('device_unit_data_points',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('gauge_id', sa.Integer(), nullable=False),
    sa.Column('machine_id', sa.String(length=64), nullable=False),
    sa.Column('timestamp', sa.TIMESTAMP(), nullable=False),
    sa.Column('trend_meta_data_id', sa.Integer(), nullable=False),
    sa.Column('value', SiUnit(), nullable=True),
    sa.Column('created_on', sa.TIMESTAMP(), nullable=False),
    sa.ForeignKeyConstraint(['gauge_id'], ['gauges.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['trend_meta_data_id'], ['trend_meta_data.id'], ),
    sa.PrimaryKeyConstraint('id', 'timestamp')
    )
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.create_index('unit_data_point_graphing_idx', ['machine_id', 'timestamp', 'trend_meta_data_id'], unique=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_index('unit_data_point_graphing_idx')

    op.drop_table('device_unit_data_points')
    # ### end Alembic commands ###
