"""add-show_trend

Revision ID: de838dce76de
Revises: 92309806e578
Create Date: 2024-03-05 13:54:54.026699

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'de838dce76de'
down_revision = '92309806e578'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.add_column(sa.Column('show_trend', sa.String(), nullable=True))

    # ### end Alembic commands ###
    op.execute("update pm_functions as upmf \
             set show_trend = subquery.name \
             from ( \
                 SELECT \
                 distinct on (trend.pm_func_id) pmf.id,trend.name as name, trend.pm_func_id as pm_func_id from pm_functions pmf join trend_meta_data trend on pmf.id = trend.pm_func_id where pmf.gauge_type='value' \
             ) AS subquery \
             where subquery.pm_func_id=upmf.id" \
    )

    op.execute("update pm_functions \
       set show_trend = '24-hour-trend' \
       where show_trend = '10-minute-trend' \
    ")


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pm_functions', schema=None) as batch_op:
        batch_op.drop_column('show_trend')

    # ### end Alembic commands ###
