"""Move onboard to gauges

Revision ID: df98e1174cc1
Revises: 6eca6f4b4e08
Create Date: 2022-05-03 15:30:59.758951

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'df98e1174cc1'
down_revision = '6eca6f4b4e08'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('gauges', sa.Column('datahub_id', sa.Integer(), nullable=True))
    op.add_column('gauges', sa.Column('onboarded', sa.Boolean(), nullable=False,server_default='f'))
    op.create_foreign_key(None, 'gauges', 'datahubs', ['datahub_id'], ['id'])
    # ### end Alembic commands ###
    op.execute("update gauges set datahub_id = machines.datahub_id, onboarded=machines.onboarded from machines where gauges.machine_id=machines.machine_id")
    op.execute("insert into assemblies(created_on,name) values('2022-05-05','unknown')")

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    #op.drop_constraint(None, 'gauges', type_='foreignkey')	# None doesn't work have to give a name unless meta data is set up which it isn't at time of writing.
    op.execute("delete from assemblies where name='unknown'")
    op.drop_constraint(u'gauges_datahub_id_fkey', 'gauges', type_='foreignkey')	 # default name <table>_<field>_fkey.  Must specify
    op.drop_column('gauges', 'onboarded')
    op.drop_column('gauges', 'datahub_id')
    # ### end Alembic commands ###
