"""fix-cascading-for-pm_function-delete

Revision ID: f1cc13b959d0
Revises: 7e1652edd55c
Create Date: 2024-01-15 11:23:24.836493

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f1cc13b959d0'
down_revision = '7e1652edd55c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('device_data_points', schema=None) as batch_op:
        batch_op.drop_constraint('device_data_points_trend_meta_data_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key(None, 'trend_meta_data', ['trend_meta_data_id'], ['id'], ondelete='CASCADE')

    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_constraint('device_unit_data_points_trend_meta_data_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key(None, 'trend_meta_data', ['trend_meta_data_id'], ['id'], ondelete='CASCADE')

    with op.batch_alter_table('trend_meta_data', schema=None) as batch_op:
        batch_op.drop_constraint('trend_meta_data_pm_func_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key(None, 'pm_functions', ['pm_func_id'], ['id'], ondelete='CASCADE')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('trend_meta_data', schema=None) as batch_op:
        batch_op.drop_constraint('trend_meta_data_pm_func_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key('trend_meta_data_pm_func_id_fkey', 'pm_functions', ['pm_func_id'], ['id'])

    with op.batch_alter_table('device_unit_data_points', schema=None) as batch_op:
        batch_op.drop_constraint('device_unit_data_points_trend_meta_data_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key('device_unit_data_points_trend_meta_data_id_fkey', 'trend_meta_data', ['trend_meta_data_id'], ['id'])

    with op.batch_alter_table('device_data_points', schema=None) as batch_op:
        batch_op.drop_constraint('device_data_points_trend_meta_data_id_fkey', type_='foreignkey')
        batch_op.create_foreign_key('device_data_points_trend_meta_data_id_fkey', 'trend_meta_data', ['trend_meta_data_id'], ['id'])

    # ### end Alembic commands ###
