"""add-display-and-image-to-assemblies

Revision ID: fe208d7a9e9c
Revises: c1a883cdbad3
Create Date: 2023-11-07 10:31:17.353050

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'fe208d7a9e9c'
down_revision = 'c1a883cdbad3'
branch_labels = None
depends_on = None

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('assemblies', schema=None) as batch_op:
        batch_op.add_column(sa.Column('display_name', sa.String(length=128), nullable=True))
        batch_op.add_column(sa.Column('image', sa.String(length=128), nullable=False, server_default='default_assembly_image'))
        batch_op.create_unique_constraint(None, ['name'])

    # ### end Alembic commands ###
    op.execute("update assemblies set display_name=name")

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('assemblies', schema=None) as batch_op:
        batch_op.drop_column('image')
        batch_op.drop_column('display_name')
        batch_op.drop_constraint('assemblies_name_key', type_='unique')

    # ### end Alembic commands ###
